Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.model.seda
Class SedaService

    java.lang.Object
      org.mule.service.AbstractService
          org.mule.model.seda.SedaService

All Implemented Interfaces:
  Serializable, FlowConstruct, Disposable, Initialisable, Lifecycle, LifecycleStateEnabled, Startable, Stoppable, NamedObject, MessageProcessor, Service

    public class SedaService

extends AbstractService

A Seda service runs inside a Seda Model and is responsible for managing a Seda Queue and thread pool for a Mule sevice service. In Seda terms this is equivilent to a stage.

See Also:
  Serialized Form

Field Summary
`protected QueueProfile` | `queueProfile` The queue profile to use for this service.
`protected Integer` | `queueTimeout` The time out used for taking from the Seda Queue.
`protected ThreadingProfile` | `threadingProfile` The threading profile to use for this service.
`protected WorkManager` | `workManager`

Fields inherited from class org.mule.service.AbstractService
`asyncReplyMessageSource, component, exceptionListener, INITIAL_STATE_PAUSED, INITIAL_STATE_STARTED, INITIAL_STATE_STOPPED, initialState, lifecycleManager, logger, messageInfoMapping, messageProcessorChain, messageSource, model, muleContext, name, outboundRouter, stats`

Fields inherited from interface org.mule.api.lifecycle.Initialisable
`PHASE_NAME`

Fields inherited from interface org.mule.api.lifecycle.Startable
`PHASE_NAME`

Fields inherited from interface org.mule.api.lifecycle.Stoppable
`PHASE_NAME`

Fields inherited from interface org.mule.api.lifecycle.Disposable
`PHASE_NAME`

Constructor Summary
`SedaService(MuleContext muleContext)`

Method Summary
`protected void` | `addMessageProcessors(MessageProcessorChainBuilder builder)`
`protected ServiceStatistics` | `createStatistics()`
`protected void` | `doDispose()`
`protected void` | `doForceStop()`
`protected void` | `doInitialise()` Initialise the service.
`protected void` | `doStart()`
`protected void` | `doStop()`
`QueueProfile` | `getQueueProfile()`
`Integer` | `getQueueTimeout()`
`protected MessageProcessor` | `getServiceStartedAssertingMessageProcessor()`
`ThreadingProfile` | `getThreadingProfile()`
`void` | `setQueueProfile(QueueProfile queueProfile)`
`void` | `setQueueTimeout(Integer queueTimeout)`
`void` | `setThreadingProfile(ThreadingProfile threadingProfile)`

Methods inherited from class org.mule.service.AbstractService
`buildServiceMessageProcessorChain, createAsyncReplyProcessor, dispatchEvent, dispose, disposeIfDisposable, doPause, doResume, forceStop, getAsyncReplyMessageSource, getAsyncReplyTimeout, getComponent, getExceptionListener, getInitialState, getLifecycleManager, getLifecycleState, getMessageInfoMapping, getMessageProcessorChain, getMessageSource, getModel, getMuleContext, getName, getOutboundMessageProcessor, getStatistics, initialise, initialiseIfInitialisable, injectFlowConstructMuleContext, isPaused, isStarted, isStopped, isStopping, pause, process, resume, sendEvent, setAsyncReplyMessageSource, setComponent, setExceptionListener, setInitialState, setMessageInfoMapping, setMessageProcessor, setMessageSource, setModel, setName, setOutboundMessageProcessor, start, startIfStartable, stop, stopIfStoppable, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### queueTimeout

    protected Integer queueTimeout

  The time out used for taking from the Seda Queue.

### threadingProfile

    protected ThreadingProfile threadingProfile

  The threading profile to use for this service. If this is not set a default will be provided by the server

### queueProfile

    protected QueueProfile queueProfile

  The queue profile to use for this service. If this is not set a default will be provided by the server

### workManager

    protected WorkManager workManager

Constructor Detail

### SedaService

    public SedaService(MuleContext muleContext)

Method Detail

### getServiceStartedAssertingMessageProcessor

    protected MessageProcessor getServiceStartedAssertingMessageProcessor()

  Overrides:
    `getServiceStartedAssertingMessageProcessor` in class `AbstractService`

### addMessageProcessors

    protected void addMessageProcessors(MessageProcessorChainBuilder builder)

  Specified by:
    `addMessageProcessors` in class `AbstractService`

### doInitialise

    protected void doInitialise()
                         throws InitialisationException

  Initialise the service. The service will first create a Mule component from the Service and then initialise a pool based on the attributes in the Service.

  Overrides:
    `doInitialise` in class `AbstractService`
  Throws:
    `InitialisationException` - if the service fails to initialise

### doStart

    protected void doStart()
                    throws MuleException

  Overrides:
    `doStart` in class `AbstractService`
  Throws:
    `MuleException`

### doStop

    protected void doStop()
                   throws MuleException

  Overrides:
    `doStop` in class `AbstractService`
  Throws:
    `MuleException`

### doForceStop

    protected void doForceStop()
                        throws MuleException

  Overrides:
    `doForceStop` in class `AbstractService`
  Throws:
    `MuleException`

### doDispose

    protected void doDispose()

  Overrides:
    `doDispose` in class `AbstractService`

### createStatistics

    protected ServiceStatistics createStatistics()

  Overrides:
    `createStatistics` in class `AbstractService`

### getQueueProfile

    public QueueProfile getQueueProfile()

### setQueueProfile

    public void setQueueProfile(QueueProfile queueProfile)

### getQueueTimeout

    public Integer getQueueTimeout()

### setQueueTimeout

    public void setQueueTimeout(Integer queueTimeout)

### getThreadingProfile

    public ThreadingProfile getThreadingProfile()

### setThreadingProfile

    public void setThreadingProfile(ThreadingProfile threadingProfile)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2010 MuleSoft, Inc.. All Rights Reserved.